<?php
/* ********************************************************************************
 * The content of this file is subject to the Table Block ("License");
 * You may not use this file except in compliance with the License
 * The Initial Developer of the Original Code is VTExperts.com
 * Portions created by VTExperts.com. are Copyright(C) VTExperts.com.
 * All Rights Reserved.
 * ****************************************************************************** */

require_once('data/CRMEntity.php');
require_once('data/Tracker.php');
require_once 'vtlib/Vtiger/Module.php';
vimport('~~include/events/include.inc');
class TableBlockExport extends CRMEntity {
	/**
	 * Invoked when special actions are performed on the module.
	 * @param String Module name
	 * @param String Event Type (module.postinstall, module.disabled, module.enabled, module.preuninstall)
	 */
	function vtlib_handler($modulename, $event_type) {
		if($event_type == 'module.postinstall') {
            self::addWidgetTo();
		} else if($event_type == 'module.disabled') {
			// TODO Handle actions when this module is disabled.
            self::removeWidgetTo();
		} else if($event_type == 'module.enabled') {
			// TODO Handle actions when this module is enabled.
            self::addWidgetTo();
		} else if($event_type == 'module.preuninstall') {
			// TODO Handle actions when this module is about to be deleted.
		} else if($event_type == 'module.preupdate') {
			// TODO Handle actions before this module is updated.
            self::removeWidgetTo();
		} else if($event_type == 'module.postupdate') {
            self::removeWidgetTo();
            self::addWidgetTo();
		}
	}
    /**
     * Add header script to other module.
     * @return unknown_type
     */
    static function addWidgetTo() {
        global $adb;
        $max_id=$adb->getUniqueID('vtiger_settings_field');
        $adb->pquery("INSERT INTO `vtiger_settings_field` (`fieldid`, `blockid`, `name`, `description`, `linkto`, `sequence`) VALUES (?, ?, ?, ?, ?, ?)",array($max_id,'4','Table Block Export','Settings area for Table Block Export', 'index.php?module=TableBlockExport&parent=Settings&view=Settings',$max_id));
    }

    static function removeWidgetTo() {
        global $adb;
        $adb->pquery("DELETE FROM vtiger_settings_field WHERE `name` = ?", array('Table Block Export'));
    }
}
?>
