<?php
/* ********************************************************************************
 * The content of this file is subject to the Table Block ("License");
 * You may not use this file except in compliance with the License
 * The Initial Developer of the Original Code is VTExperts.com
 * Portions created by VTExperts.com. are Copyright(C) VTExperts.com.
 * All Rights Reserved.
 * ****************************************************************************** */
ini_set('display_errors','0');
class TableBlockExport_Settings_View extends Settings_Vtiger_Index_View {
    function __construct() {
        parent::__construct();
    }

    public function process(Vtiger_Request $request) {
        $this->renderSettingsUI($request);
    }
    function renderSettingsUI(Vtiger_Request $request) {
        $adb = PearDatabase::getInstance();
        $moduleName = $request->getModule();
        $viewer = $this->getViewer($request);
        // Get all table block
        $listview_entries=array();
        $sql="SELECT * FROM `table_block` WHERE `active` = 1";
        $rs=$adb->pquery($sql,array());
        if($adb->num_rows($rs)>0) {
            while($row = $adb->fetch_array($rs)) {
                $tableblockid = $row['id'];
                $listview_entries[$tableblockid]=array(
                    'module'=>$row['module'],
                    'block'=>$row['block'],
                );
            }
        }

        $viewer->assign('LISTVIEW_ENTRIES',$listview_entries);
        $viewer->assign('LISTVIEW_ENTRIES_COUNT',count($listview_entries));
        $viewer->assign('QUALIFIED_MODULE',$moduleName);
        $viewer->assign('CURRENT_USER_MODEL', Users_Record_Model::getCurrentUserModel());
        echo $viewer->view('Settings.tpl',$moduleName,true);
    }

    function getHeaderScripts(Vtiger_Request $request) {
        $headerScriptInstances = parent::getHeaderScripts($request);
        $moduleName = $request->getModule();

        $jsFileNames = array(
            "modules.$moduleName.resources.Settings",
        );

        $jsScriptInstances = $this->checkAndConvertJsScripts($jsFileNames);
        $headerScriptInstances = array_merge($headerScriptInstances, $jsScriptInstances);
        return $headerScriptInstances;
    }
}