<?php

class TableBlockExport_Uninstall_View extends Settings_Vtiger_Index_View {

    function process (Vtiger_Request $request) {
        global $adb,$vtiger_current_version;
        echo '<div class="container-fluid">
                <div class="widget_header row-fluid">
                    <h3>Table Block Export</h3>
                </div>
                <hr>';
        // Uninstall module
        $module = Vtiger_Module::getInstance('TableBlockExport');
        if ($module) $module->delete();

        // Remove related data
        $message = $this->removeData();
        echo $message;

        // remove directory
        $res_template = $this->delete_folder('layouts/vlayout/modules/TableBlockExport');
        if(version_compare($vtiger_current_version, '7.0.0', '>=')) {
            $res_template = $this->delete_folder('layouts/v7/modules/TableBlockExport');
        }
        echo "&nbsp;&nbsp;- Delete Table Block Export template folder";
        if($res_template) echo " - DONE"; else echo " - <b>ERROR</b>";
        echo '<br>';

        $res_module = $this->delete_folder('modules/TableBlockExport');
        echo "&nbsp;&nbsp;- Delete Table Block Export module folder";
        if($res_module) echo " - DONE"; else echo " - <b>ERROR</b>";
        echo '<br>';

        echo "Module was Uninstalled.";
        echo '</div>';
    }

    function delete_folder($tmp_path){
        if(!is_writeable($tmp_path) && is_dir($tmp_path) && isFileAccessible($tmp_path)) {
            chmod($tmp_path,0777);
        }
        $handle = opendir($tmp_path);
        while($tmp=readdir($handle)) {
            if($tmp!='..' && $tmp!='.' && $tmp!=''){
                if(is_writeable($tmp_path.DS.$tmp) && is_file($tmp_path.DS.$tmp) && isFileAccessible($tmp_path)) {
                    unlink($tmp_path.DS.$tmp);
                } elseif(!is_writeable($tmp_path.DS.$tmp) && is_file($tmp_path.DS.$tmp) && isFileAccessible($tmp_path)){
                    chmod($tmp_path.DS.$tmp,0666);
                    unlink($tmp_path.DS.$tmp);
                }

                if(is_writeable($tmp_path.DS.$tmp) && is_dir($tmp_path.DS.$tmp) && isFileAccessible($tmp_path)) {
                    $this->delete_folder($tmp_path.DS.$tmp);
                } elseif(!is_writeable($tmp_path.DS.$tmp) && is_dir($tmp_path.DS.$tmp) && isFileAccessible($tmp_path)){
                    chmod($tmp_path.DS.$tmp,0777);
                    $this->delete_folder($tmp_path.DS.$tmp);
                }
            }
        }
        closedir($handle);
        rmdir($tmp_path);
        if(!is_dir($tmp_path)) {
            return true;
        } else {
            return false;
        }
    }

    /* ********************************************************************************
     * All module must be have function removeData(). Because VTEStore will call this function to uninstall extension
     * ****************************************************************************** */
    function removeData(){
        global $adb;
        // Remove module from other settings
        $adb->pquery("DELETE FROM vtiger_settings_field WHERE `name` = ?",array('Table Block'));

    }
}